

extends ../../includes/layout


block content
    link(href='/vendor/bootstrap-daterangepicker/daterangepicker.css' rel='stylesheet')

    link(href='/vendor/clockpicker/css/bootstrap-clockpicker.min.css' rel='stylesheet')

    link(href='/vendor/jquery-asColorPicker/css/asColorPicker.min.css' rel='stylesheet')

    link(href='/vendor/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css' rel='stylesheet')

    link(rel='stylesheet' href='/vendor/pickadate/themes/default.css')
    link(rel='stylesheet' href='/vendor/pickadate/themes/default.date.css')
    link(href='https://fonts.googleapis.com/icon?family=Material+Icons' rel='stylesheet')

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            .basic-form
                                form
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Name
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="fm 91.5")#name
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Price Start
                                        .col-sm-9
                                            input.form-control.solid(type='number' required value="10000")#price_start
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Countdown
                                        .col-sm-9
                                            input.form-control.solid(type='number' required value="10")#round_countdown
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Max round
                                        .col-sm-9
                                            input.form-control.solid(type='number' required value="10")#round_max
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Step
                                        .col-sm-9
                                            input.form-control.solid(type='number' required value="2000")#step
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Detail
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#detail
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Province
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="กรุงเทพมหานคร")#province
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Type
                                        .col-sm-9
                                            select#type.form-control.solid
                                                option(value="radio_station") Radio Station 
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Lot
                                        .col-sm-9
                                            select.form-control.solid#lot
                                                each val,index in lot
                                                    option(value=val._id)=val.name
                                    fieldset.mb-3
                                        .row
                                            label.col-form-label.col-sm-3.pt-0 Start-End
                                            .col-sm-9
                                                .form-check
                                                    input.form-check-input.method_start(type='radio' name='method_start' value='custom' checked='' required)
                                                    label.form-check-label
                                                        | Custom
                                                .form-check
                                                    input.form-check-input.method_start(type='radio' name='method_start' value='lot' required)
                                                    label.form-check-label
                                                        | Fix Lot

                                    .mb-3.row.form_datetime
                                        label.col-sm-3.col-form-label Date Start
                                        .col-sm-9
                                            input#date_start.datepicker-default.form-control.solid(name='datepicker' required value="")

                                    .mb-3.row.form_datetime
                                        label.col-sm-3.col-form-label Time Start
                                        .col-sm-9
                                            .input-group.clockpicker
                                                input.form-control.solid(type='text' value='11:00' required)#time_start
                                                span.input-group-text
                                                    i.fa.fa-clock-o

                                    .mb-3.row.form_datetime
                                        label.col-sm-3.col-form-label Date End
                                        .col-sm-9
                                            input#date_end.datepicker-default.form-control.solid(name='datepicker' required value="")

                                    .mb-3.row.form_datetime
                                        label.col-sm-3.col-form-label Time End
                                        .col-sm-9
                                            .input-group.clockpicker
                                                input.form-control.solid(type='text' value='23:30' required)#time_end
                                                span.input-group-text
                                                    i.fa.fa-clock-o


                                    fieldset.mb-3
                                        .row
                                            label.col-form-label.col-sm-3.pt-0 Status
                                            .col-sm-9
                                                .form-check
                                                    input.form-check-input.status(type='radio' name='gridRadios' value='wait' checked='' required)
                                                    label.form-check-label
                                                        | Wait
                                                .form-check
                                                    input.form-check-input.status(type='radio' name='gridRadios' value='open' required)
                                                    label.form-check-label
                                                        | Open
                                                .form-check
                                                    input.form-check-input.status(type='radio' name='gridRadios' value='hide' required)
                                                    label.form-check-label
                                                        | Hide
                                    .mb-3.row
                                        .col-sm-10
                                            button.btn.btn-primary(type='button')#btn_submit Create





block script
    script(src='/vendor/bootstrap-daterangepicker/daterangepicker.js')
    script(src='/vendor/clockpicker/js/bootstrap-clockpicker.min.js')
    script(src='/vendor/jquery-asColor/jquery-asColor.min.js')
    script(src='/vendor/jquery-asGradient/jquery-asGradient.min.js')
    script(src='/vendor/jquery-asColorPicker/js/jquery-asColorPicker.min.js')
    script(src='/vendor/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js')
    script(src='/vendor/pickadate/picker.js')
    script(src='/vendor/pickadate/picker.time.js')
    script(src='/vendor/pickadate/picker.date.js')
    script.
        console.log('emailxxx',email)

        var start = Date.now();
        console.log('start ',formatDate(start));

        $('#date_start').val(formatDate(start));
        $('#date_end').val(formatDate(start));

        function formatDate(date) {
            var d = new Date(date),
                month = '' + (d.getMonth() + 1),
                day = '' + d.getDate(),
                year = d.getFullYear();

            if (month.length < 2) 
                month = '0' + month;
            if (day.length < 2) 
                day = '0' + day;

            return [year, month, day].join('/');
        }


        $('.clockpicker').clockpicker({
            donetext: 'Done',
        }).find('input').change(function () {
            console.log(this.value);
        });

        $('.datepicker-default').pickadate({
            format: 'yyyy/mm/dd',
            formatSubmit: 'yyyy/mm/dd'
        });

        $('.method_start').change(function(){
            var method_start = $(".method_start:checked").val();
            console.log(method_start);

            if(method_start=='custom'){
                $('.form_datetime').show();
            }else{
                $('.form_datetime').hide();
            }
        });

        $('#btn_submit').click(function(){
            var name = $('#name').val();
            var detail = $('#detail').val();
            var date_start = $('#date_start').val();
            var time_start = $('#time_start').val();
            var date_end = $('#date_end').val();
            var time_end = $('#time_end').val();
            var status = $(".status:checked").val();
            var method_start = $(".method_start:checked").val();
            var province = $('#province').val()
            var type = $('#type').val()
            var price_start = $('#price_start').val()
            var step = $('#step').val()
            var lot = $('#lot').val()
            var round_countdown = $('#round_countdown').val()
            var round_max = $('#round_countdown').val()
            var data = {
                name:name,
                detail:detail,
                date_start:Date.parse(date_start+' '+time_start),
                date_end:Date.parse(date_end+' '+time_end),
                status:status,
                province:province,
                type:type,
                method_start:method_start,
                price_start:price_start,
                step:step,
                lot:lot,
                round_countdown:round_countdown,
                round_max:round_max
            }

            console.log(data);

            if(name==''){
                $('#name').focus();
            }else if(date_start==''){
                $('#date_start').focus();
            }else if(date_end==''){
                $('#date_end').focus();
            }else if(province==''){
                $('#province').focus();
            }else if(type==''){
                $('#type').focus();
            }else if(price_start==''){
                $('#price_start').focus();
            }else if(step==''){
                $('#step').focus();
            }else if(round_countdown==''){
                $('#round_countdown').focus();
            }else if(round_max==''){
                $('#round_max').focus();
            }else{
                add_data(data);
            }

        });

        function add_data(data){

            $.ajax({
                url: "#{base_url}admin/product/create",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");

                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }









